// Java Bean version of y(x) -> ax + b

package AWT_Conversion;
import conversion.Conversion;
import java.io.Serializable;

public class LinearConversion implements Conversion, Serializable {
  public LinearConversion () { }
  public LinearConversion (double a, double b) { setA(a); setB(b); }

  protected double a;
  public double getA () { return a; }
  public void setA (double a) { this.a = a; }

  protected double b;
  public double getB () { return b; }
  public void setB (double b) { this.b = b; }

  public double y (double x) {
    return a*x + b;
  }
}
